<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/api/index.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../index.html">all files</a> / <a href="index.html">src/api/</a> index.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">19.23% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>5/26</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/10</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/14</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">25% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>5/20</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219</td><td class="line-coverage quiet"><span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">let user = {
  id: 434243,
  first_name: '',
  last_name: 'Иванов',
  middle_name: 'Олегович',
  birth_date: '05.12.1990',
  birth_city: 'Дубна',
  login: '12342134',
  male: '1',
  mobile_phone: '9999999999',
&nbsp;
  // ПАСПОРТНЫЕ ДАННЫЕ
  p_date: '05.12.1990',
  p_code: '000000',
  p_serie: '3333',
  p_number: '333333',
  p_from: 'Кем то',
&nbsp;
  // ДОПОЛНИТЕЛЬНЫЙ ТЕЛЕФОН
  addition_phone_owner: '1',
  addition_phone: '4959877654',
  addition_phone_fio: 'efefef',
&nbsp;
  // ИНФОРМАЦИЯ О РАБОТЕ И ДОХОДЕ
  type_of_employment: '1',
  monthly_income: '45000',
  organization_type: '2',
  organization_activity: '4',
  organization_name: 'ООО "Нас приняли в рога и копыта"',
  organization_personal: '3',
  organization_phone: '8001112233',
  work_experience: '2',
  work_position: 'Агролесомелиоратор бабочек',
  work_address: {
    organization_address: 'г. Москва, Мухоморный проезд, Грибная улица',
    organization_building: '4',
    organization_index: '123290',
    organization_housing: '4',
    organization_structure: 'A',
    organization_apartment: '210'
  },
  ip_business_code: 123123123123,
  founder_business_code: 111111111111,
  founder_full_name: 'ООО "Нас приняли в рога и копыта"',
&nbsp;
  // ДОПОЛНИТЕЛНАЯ ИНФОРМАЦИЯ
  snils: '89879851561',
  family_status: '2',
  children: '1',
  education: '3',
  source_of_information: '3',
  count_of_children: '3',
&nbsp;
  // ПУБЛИЧНОСТЬ
  public_person: '1',
  public_person_position: 'Государственные прокурор',
  international_organization: '1',
  international_organization_name: 'Конституционный суд',
  another_person: '1',
  rf_public_person: '1',
  rf_public_official: 'должность лица',
&nbsp;
  // БЕНЕФИЦИАРНЫЙ ВЛАДЕЛЕЦ
  beneficiary_owner: '1',
  beneficiary_owner_surname: 'Иванов',
  beneficiary_owner_name: 'Иван',
  beneficiary_owner_middle_name: 'Иванович',
  beneficiary_owner_p_serie: '3333',
  beneficiary_owner_p_number: '444444',
  beneficiary_owner_code: '123123',
  beneficiary_owner_passport_date: 'Иванов'
}
&nbsp;
const accounts = {
  /**
   *
   */
  accounts: [
    {
      id: 100,
      name: 'Зряплатная',
      type: 0,
      number: '5454 - 54** - **** - 5454',
      isprimary: 1,
      activated: 1
    },
    {
      id: 105,
      name: 'Жены',
      type: 1,
      number: '9462 - 83** - **** - 7532',
      isprimary: 0,
      activated: 2,
      news: 999
    },
    {
      id: 125,
      name: 'Моя 2-ая',
      type: 1,
      number: '4129 - 32** - **** - 4567 ',
      isprimary: 0,
      activated: 1
    },
    {
      id: 151,
      name: 'ЙАденьга',
      type: 0,
      card_type: 'yamoney',
      number: 'Пункты выдачи (наличными)',
      isprimary: 0,
      activated: 0
    },
    {
      id: 187,
      type: 1,
      name: 'кЫви',
      card_type: 'qiwi',
      number: '7 926 *** ** 15',
      isprimary: 0
    }
  ]
}
&nbsp;
const history = {
  history: [
    {
      id: 1,
      title: 'Заявка №1',
      dateStart: '13.07.2015',
      dateEnd: '17.07.2015',
      sum: '10700.00',
      docs: [],
      status: 'approved'
    },
    {
      id: 2,
      title: 'Заявка №2',
      dateStart: '14.07.2015',
      dateEnd: '18.07.2015',
      sum: '1800.00',
      docs: [],
      status: 'wait'
    },
    {
      id: 3,
      title: 'Заявка №3',
      dateStart: '15.07.2015',
      dateEnd: '19.07.2015',
      sum: '1900.00',
      docs: [],
      status: 'canceled'
    },
    {
      id: 4,
      title: 'Заявка №4',
      dateStart: '16.07.2015',
      dateEnd: '20.07.2015',
      sum: '2000.00',
      docs: [],
      status: 'approved'
    },
    {
      id: 5,
      title: 'Заявка №5',
      dateStart: '17.07.2015',
      dateEnd: '21.07.2015',
      sum: '2100.00',
      docs: [],
      status: 'approved'
    },
    {
      id: 6,
      title: 'Заявка №6',
      dateStart: '18.07.2015',
      dateEnd: '22.07.2015',
      sum: '2200.00',
      docs: [],
      status: 'canceled'
    },
    {
      id: 7,
      title: 'Заявка №7',
      dateStart: '19.07.2015',
      dateEnd: '23.07.2015',
      sum: '2300.00',
      docs: [],
      status: 'wait'
    }
  ]
}
&nbsp;
const mocks = {
  'auth': { 'POST': () =&gt; (<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >{ token: 'This-is-a-mocked-token', token_expired: '1577840461' })</span></span> },
  'profile': { 'GET': () =&gt; (<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >{ user })</span></span>, 'POST': (newUser) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >user = {...newUser} </span></span>},
  'cards': { 'GET': () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >accounts,</span></span> 'POST': (id) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >accounts.accounts = accounts.accounts.filter(card =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >card.id !== id)</span></span> </span></span>},
  'cards/setprimary': { 'POST': (id) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >accounts.accounts = accounts.accounts.map(card =&gt; (<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >{...card, isprimary: card.id === id ? 1 : 0})</span></span>) </span></span>},
  'cards/setname': { 'POST': (id, name) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >accounts.name = accounts.accounts.map(card =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >id === card.id ? {...card, name: name} : card)</span></span> </span></span>},
  'loanhistory': { 'GET': () =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >history </span></span>}
}
&nbsp;
const apiCall = ({url, method, ...args}) =&gt; <span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >new Promise((resolve, reject) =&gt; <span class="fstat-no" title="function not covered" >{</span></span></span>
<span class="cstat-no" title="statement not covered" >  console.log('!!!!!!', url, method, args)</span>
<span class="cstat-no" title="statement not covered" >  setTimeout(() =&gt; <span class="fstat-no" title="function not covered" >{</span></span>
<span class="cstat-no" title="statement not covered" >    try {</span>
      // if (method === 'POST')
      //   NOSUCHOBJECT
<span class="cstat-no" title="statement not covered" >      resolve(mocks[url][method || 'GET']())</span>
<span class="cstat-no" title="statement not covered" >      console.log('-------ЗАПРОС К АПИ--------')</span>
<span class="cstat-no" title="statement not covered" >      console.log(args)</span>
<span class="cstat-no" title="statement not covered" >      console.log(`Mocked '${url}' - ${method || 'GET'}`)</span>
<span class="cstat-no" title="statement not covered" >      console.log('response: ', mocks[url][method || 'GET'])</span>
    } catch (err) {
<span class="cstat-no" title="statement not covered" >      reject(new Error(err))</span>
    }
  }, 1000)
})
&nbsp;
export default apiCall
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../sorter.js"></script>
</body>
</html>
